import { createRouter, createWebHistory } from 'vue-router';
import store from '@/stores/counter';
import axios from 'axios';
// 管理员
import admin from './module/admin';
import account from './module/account';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      meta: { title: '省重点实验室' },
      component: () => import('@/views/home/index.vue')
    },
    ...admin,
    ...account
  ]
});
router.beforeEach(async (to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (token) {
    const res = await axios.request({
      method: 'get',
      url: '/jcyjdtglpt/v1/api/token/tokenView',
      responseType: 'json',
      headers: {
        token: token
      }
    });
    if (res.data.errcode == '0') {
      store.commit('setUser', res.data.data, { root: true });
    }
    const arr = await axios.request({
      method: 'get',
      url: '/freeLabel/v2/api/activitys/isInAct',
      responseType: 'json',
      headers: {
        token: token
      }
    });
    if (arr.data.errcode == '0') {
      store.commit('setIsInAct', arr.data.data, { root: true });
    }
    next();
  } else {
    next();
    window.alert('无登录信息，无法打开');
  }
});
export default router;
